Bug 23326 - kdm password error
Summary: kdm password error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard: Florence Beta-3
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-04 16:36 UTC by Michael Redinger
Modified: 2007-03-27 03:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-18 04:29:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Redinger 2001-01-04 16:36:28 UTC
kdm does have problems with passwords longer than 8 signs (I do have both
shadow and
MD5 enabled - standard (KDE) workstation installation).
When I use a password with more than 8 signs, I get a login failed (logging
in from the
console works fine). Using the same password but only using the first 8
signs works
fine.

Comment 1 Bernhard Rosenkraenzer 2001-01-06 15:36:59 UTC
You aren't using MD5 passwords, therefore passwords > 8 characters aren't
possible.
KDM is doing the right thing.

Comment 2 Bernhard Rosenkraenzer 2001-01-06 15:39:36 UTC
On a second look, passwd isn't setting MD5 passwords even if they're enabled, so
passwd was causing this.

Comment 3 Glen Foster 2001-01-11 21:11:53 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 4 Nalin Dahyabhai 2001-01-18 04:29:46 UTC
What are the contents of /etc/pam.d/system-auth?

Comment 5 Bernhard Rosenkraenzer 2001-01-18 16:17:50 UTC
This has fixed itself with an rpm -Fvh * - don't know for sure what was 
causing it.



Note You need to log in before you can comment on or make changes to this bug.